Debian Bug report logs - #515376
knights: obsolete build-dep on x-dev

version graph

Package: knights; Maintainer for knights is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for knights is src:knights.

Reported by: jcristau@debian.org

Date: Sun, 15 Feb 2009 19:46:21 UTC

Severity: important

Tags: patch, sid, squeeze, wheezy

Fixed in version knights/2.0.1-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#515376; Package knights. (Sun, 15 Feb 2009 19:46:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to jcristau@debian.org:
New Bug report received and forwarded. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>.

Your message had a Version: pseudo-header with an invalid package version:

0.6-8.2 0.5.9-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 15 Feb 2009 19:46:23 GMT) Full text and rfc822 format available.


Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: jcristau@debian.org
To: maintonly@bugs.debian.org
Subject: knights: obsolete build-dep on x-dev
Date: Sun, 15 Feb 2009 20:44:44 +0100
Package: knights
Version: 0.6-8.2 0.5.9-1
Severity: important
Tags: squeeze, sid
User: debian-x@lists.debian.org
Usertags: x-dev-removal

Hi,

the knights source package build-depends on x-dev. This transitional
package is going away real soon now, please update your
build-dependency to x11proto-core-dev.

Cheers, Julien 




Added tag(s) patch. Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Mon, 12 Apr 2010 23:57:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Mon, 12 Apr 2010 23:57:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#515376; Package knights. (Tue, 13 Apr 2010 00:13:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Tue, 13 Apr 2010 00:13:33 GMT) Full text and rfc822 format available.

Message #14 received at 515376@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 515376@bugs.debian.org
Cc: jari.aalto@cante.net
Subject: knights: diff for NMU version 0.6-8.3
Date: Mon, 12 Apr 2010 16:52:21 -0700
tags 515376 + patch
tags 515376 + pending
thanks

Dear maintainer,

I've prepared an NMU for knights (versioned as 0.6-8.3) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

Regards.
diff -u knights-0.6/debian/control knights-0.6/debian/control
--- knights-0.6/debian/control
+++ knights-0.6/debian/control
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>= 5.0.0), kdelibs4-dev, poxml, dpatch, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x-dev
+Build-Depends: debhelper (>= 5.0.0), kdelibs4-dev, poxml, dpatch, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x11proto-core-dev
 Standards-Version: 3.7.2
 
 Package: knights
diff -u knights-0.6/debian/changelog knights-0.6/debian/changelog
--- knights-0.6/debian/changelog
+++ knights-0.6/debian/changelog
@@ -1,3 +1,13 @@
+knights (0.6-8.3) unstable; urgency=low
+
+  [Jari Aalto]
+  * Non-maintainer upload.
+  * debian/control
+    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
+      (important RC bug; Closes: #515376).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Mar 2010 09:27:30 +0200
+
 knights (0.6-8.2) unstable; urgency=low
 
   * Non-maintainer upload.




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#515376; Package knights. (Tue, 13 Apr 2010 04:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Tue, 13 Apr 2010 04:45:06 GMT) Full text and rfc822 format available.

Message #19 received at 515376@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: tony mancill <tmancill@debian.org>
Cc: 515376@bugs.debian.org, jari.aalto@cante.net
Subject: Re: Bug#515376: knights: diff for NMU version 0.6-8.3
Date: Tue, 13 Apr 2010 06:42:04 +0200
On 2010-04-13 01:52 +0200, tony mancill wrote:

> tags 515376 + patch
> tags 515376 + pending
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for knights (versioned as 0.6-8.3) and
> uploaded it to DELAYED/5. Please feel free to tell me if I
> should delay it longer.

This does not make the package installable, so what it is good for,
other than wasting time on the buildds?

> diff -u knights-0.6/debian/control knights-0.6/debian/control
> --- knights-0.6/debian/control
> +++ knights-0.6/debian/control
> @@ -3,7 +3,7 @@
>  Priority: optional
>  Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
>  Uploaders: Ola Lundqvist <opal@debian.org>
> -Build-Depends: debhelper (>= 5.0.0), kdelibs4-dev, poxml, dpatch, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x-dev
> +Build-Depends: debhelper (>= 5.0.0), kdelibs4-dev, poxml, dpatch, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x11proto-core-dev
>  Standards-Version: 3.7.2
>  
>  Package: knights
> diff -u knights-0.6/debian/changelog knights-0.6/debian/changelog
> --- knights-0.6/debian/changelog
> +++ knights-0.6/debian/changelog
> @@ -1,3 +1,13 @@
> +knights (0.6-8.3) unstable; urgency=low
> +
> +  [Jari Aalto]
> +  * Non-maintainer upload.
> +  * debian/control
> +    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
> +      (important RC bug; Closes: #515376).
> +
> + -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Mar 2010 09:27:30 +0200
> +
>  knights (0.6-8.2) unstable; urgency=low
>  
>    * Non-maintainer upload.

And what about #528348?

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#515376; Package knights. (Tue, 13 Apr 2010 05:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Tue, 13 Apr 2010 05:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 515376@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Sven Joachim <svenjoac@gmx.de>, 515376@bugs.debian.org, 528348@bugs.debian.org
Cc: tony mancill <tmancill@debian.org>
Subject: Re: Bug#515376: knights: diff for NMU version 0.6-8.3
Date: Tue, 13 Apr 2010 08:17:45 +0300
Sven Joachim <svenjoac@gmx.de> writes:
> [The NMU is not needed to fix #515376; obsolete build-dep on x-dev]
>
>> Sune Vuorela <reportbug@pusling.com>
>> This package depends on kdebase-kio-plugins which dissapeared more than
>> a month ago.
>>
>> Please fix this by either
>>  * upload without the dependency
>>  * Port the application to KDE4
>>  * remove the package from debian
>>
>
> And what about #528348?

In that light, I think the RM is in place. I've filed a request as the
bug has been reported 2009-05-12

Jari




Bug marked as fixed in version 2.0.1-2, send any further explanations to jcristau@debian.org Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 14:42:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Mar 2011 07:37:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:48:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.